JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Macros | Functions
juce_Serialisation.h File Reference

## Classes
struct | SerialisationTraits< T >
| Allows serialisation functions to be attached to a specific type without having to modify the declaration of that type. More...
struct | Named< T >
| Combines an object with a name. More...
struct | SerialisationSize< T >
| Holds a reference to some kind of size value, used to indicate that an object being marshalled is of variable size (e.g. More...

## Macros
#define | JUCE_COMPARISON_OPS X(==) X(!=) X(<) X(<=) X(>) X(>=)
#define | X(op) auto operator op (const Named& other) const { return value op other.value; }
#define | X(op) auto operator op (const SerialisationSize& other) const { return size op other.size; }

## Functions
template<typename T >
constexpr auto | named (std::string_view c, T &t)
| Produces a Named instance that holds a mutable reference.
template<typename T >
constexpr auto | named (std::string_view c, const T &t)
| Produces a Named instance that holds an immutable reference.
template<typename T >
constexpr auto | serialisationSize (T &t) -> std::enable_if_t< std::is_integral_v< T >, SerialisationSize< T > >
| Produces a SerialisationSize instance that holds a mutable reference to a size value.
template<typename T >
constexpr auto | serialisationSize (const T &t) -> std::enable_if_t< std::is_integral_v< T >, SerialisationSize< const T > >
| Produces a SerialisationSize instance that holds an immutable reference to a size value.

## Macro Definition Documentation

## ◆ X [1/2]

#define X | ( |  | op | ) | auto operator op (const Named& other) const { return value op other.value; }

## ◆ X [2/2]

#define X | ( |  | op | ) | auto operator op (const SerialisationSize& other) const { return size op other.size; }